<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_25) on Mon Mar 28 17:40:56 CEST 2016 -->
<TITLE>
L-Index
</TITLE>

<META NAME="date" CONTENT="2016-03-28">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="L-Index";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Index</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="index-9.html"><B>PREV LETTER</B></A>&nbsp;
&nbsp;<A HREF="index-11.html"><B>NEXT LETTER</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?index-filesindex-10.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="index-10.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<A HREF="index-1.html">A</A> <A HREF="index-2.html">B</A> <A HREF="index-3.html">C</A> <A HREF="index-4.html">D</A> <A HREF="index-5.html">E</A> <A HREF="index-6.html">F</A> <A HREF="index-7.html">G</A> <A HREF="index-8.html">H</A> <A HREF="index-9.html">I</A> <A HREF="index-10.html">L</A> <A HREF="index-11.html">S</A> <A HREF="index-12.html">T</A> <A HREF="index-13.html">U</A> <HR>
<A NAME="_L_"><!-- --></A><H2>
<B>L</B></H2>
<DL>
<DT><A HREF="../it/faac/assessment/model/LoggedUser.html" title="class in it.faac.assessment.model"><B>LoggedUser</B></A> - Class in <A HREF="../it/faac/assessment/model/package-summary.html">it.faac.assessment.model</A><DD>This entity represent a user logged into the system, it's persisted on DB<DT><A HREF="../it/faac/assessment/model/LoggedUser.html#LoggedUser(it.faac.assessment.model.User, java.lang.String, java.util.Date)"><B>LoggedUser(User, String, Date)</B></A> - 
Constructor for class it.faac.assessment.model.<A HREF="../it/faac/assessment/model/LoggedUser.html" title="class in it.faac.assessment.model">LoggedUser</A>
<DD>&nbsp;
<DT><A HREF="../it/faac/assessment/model/LoggedUser.html#LoggedUser()"><B>LoggedUser()</B></A> - 
Constructor for class it.faac.assessment.model.<A HREF="../it/faac/assessment/model/LoggedUser.html" title="class in it.faac.assessment.model">LoggedUser</A>
<DD>default constructor per hibernate
<DT><A HREF="../it/faac/assessment/ws/LoggedUserDto.html" title="class in it.faac.assessment.ws"><B>LoggedUserDto</B></A> - Class in <A HREF="../it/faac/assessment/ws/package-summary.html">it.faac.assessment.ws</A><DD>A DTO to pass user information via WS<DT><A HREF="../it/faac/assessment/ws/LoggedUserDto.html#LoggedUserDto(it.faac.assessment.model.LoggedUser)"><B>LoggedUserDto(LoggedUser)</B></A> - 
Constructor for class it.faac.assessment.ws.<A HREF="../it/faac/assessment/ws/LoggedUserDto.html" title="class in it.faac.assessment.ws">LoggedUserDto</A>
<DD>&nbsp;
<DT><A HREF="../it/faac/assessment/ws/LoggedUserDto.html#LoggedUserDto()"><B>LoggedUserDto()</B></A> - 
Constructor for class it.faac.assessment.ws.<A HREF="../it/faac/assessment/ws/LoggedUserDto.html" title="class in it.faac.assessment.ws">LoggedUserDto</A>
<DD>&nbsp;
<DT><A HREF="../it/faac/assessment/frontend/LoginRestController.html#login(java.lang.String, java.lang.String)"><B>login(String, String)</B></A> - 
Method in class it.faac.assessment.frontend.<A HREF="../it/faac/assessment/frontend/LoginRestController.html" title="class in it.faac.assessment.frontend">LoginRestController</A>
<DD>&nbsp;
<DT><A HREF="../it/faac/assessment/service/AuthenticationService.html#login(java.lang.String, java.lang.String)"><B>login(String, String)</B></A> - 
Method in class it.faac.assessment.service.<A HREF="../it/faac/assessment/service/AuthenticationService.html" title="class in it.faac.assessment.service">AuthenticationService</A>
<DD>This method is responsible for user authentication, if username and password are
 registered in the system the method will return an <A HREF="../it/faac/assessment/model/AuthenticatedUser.html" title="class in it.faac.assessment.model"><CODE>AuthenticatedUser</CODE></A>
 <br />
 If the user is not present or the password doesn't match a BadAuthenticationException
 will be throw.
<DT><A HREF="../it/faac/assessment/frontend/LoginRestController.html" title="class in it.faac.assessment.frontend"><B>LoginRestController</B></A> - Class in <A HREF="../it/faac/assessment/frontend/package-summary.html">it.faac.assessment.frontend</A><DD>This is the REST controller for user login.<DT><A HREF="../it/faac/assessment/frontend/LoginRestController.html#LoginRestController()"><B>LoginRestController()</B></A> - 
Constructor for class it.faac.assessment.frontend.<A HREF="../it/faac/assessment/frontend/LoginRestController.html" title="class in it.faac.assessment.frontend">LoginRestController</A>
<DD>&nbsp;
</DL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Index</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="index-9.html"><B>PREV LETTER</B></A>&nbsp;
&nbsp;<A HREF="index-11.html"><B>NEXT LETTER</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?index-filesindex-10.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="index-10.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<A HREF="index-1.html">A</A> <A HREF="index-2.html">B</A> <A HREF="index-3.html">C</A> <A HREF="index-4.html">D</A> <A HREF="index-5.html">E</A> <A HREF="index-6.html">F</A> <A HREF="index-7.html">G</A> <A HREF="index-8.html">H</A> <A HREF="index-9.html">I</A> <A HREF="index-10.html">L</A> <A HREF="index-11.html">S</A> <A HREF="index-12.html">T</A> <A HREF="index-13.html">U</A> <HR>

</BODY>
</HTML>
